Skip to main content
PATCH
/
companies
/
{id}
Update a company
curl --request PATCH \
  --url https://www.ruddr.io/api/workspace/companies/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "isActive": true,
  "description": "<string>",
  "billingAddress": "<string>",
  "currency": "<string>",
  "facebookUrl": "<string>",
  "linkedinUrl": "<string>",
  "twitterUrl": "<string>",
  "websiteUrl": "<string>",
  "numberOfEmployees": 123,
  "ownershipClass": "public",
  "phoneNumber": "<string>",
  "revenue": 123,
  "shippingAddress": "<string>",
  "tickerSymbol": "<string>",
  "yearFounded": 123,
  "companySpendTierId": "<string>",
  "companyTypeId": "<string>",
  "industryId": "<string>",
  "ownerId": "<string>",
  "practiceId": "<string>",
  "sicCodeId": "<string>",
  "timeZoneId": "<string>"
}
'
{
  "id": "a3f1c2d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
  "name": "Acme Corp",
  "isActive": true,
  "description": "Enterprise technology company.",
  "billingAddress": "100 Market St, Suite 500, San Francisco, CA 94105",
  "currency": "USD",
  "facebookUrl": "https://facebook.com/acmecorp",
  "linkedinUrl": "https://linkedin.com/company/acmecorp",
  "twitterUrl": "https://twitter.com/acmecorp",
  "websiteUrl": "https://acmecorp.com",
  "numberOfEmployees": 5000,
  "ownershipClass": "public",
  "phoneNumber": "(555) 987-6543",
  "revenue": 125000000,
  "shippingAddress": "100 Market St, Suite 500, San Francisco, CA 94105",
  "tickerSymbol": "ACME",
  "yearFounded": 1985,
  "createdAt": "2025-01-15T20:47:03.284Z",
  "modifiedAt": "2025-01-15T20:47:03.284Z",
  "companySpendTier": {
    "id": "b4e2d3f5-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
    "name": "Enterprise"
  },
  "companyType": {
    "id": "c5f3e4a6-7b8c-4d9e-0f1a-2b3c4d5e6f7a",
    "name": "Customer"
  },
  "practice": {
    "id": "d6a4f5b7-8c9d-4e0f-1a2b-3c4d5e6f7a8b",
    "name": "Technology"
  },
  "industry": {
    "id": "e7b5a6c8-9d0e-4f1a-2b3c-4d5e6f7a8b9c",
    "name": "Technology"
  },
  "owner": {
    "id": "f8c6b7d9-0e1f-4a2b-3c4d-5e6f7a8b9c0d",
    "name": "John Davis"
  },
  "sicCode": {
    "id": "a9d7c8e0-1f2a-4b3c-4d5e-6f7a8b9c0d1e",
    "code": "7372",
    "industryTitle": "Prepackaged Software"
  },
  "salesforceId": "0011600001LtMCkAAN",
  "hubspotId": "12345678"
}
An organization with which you have a history of communication or business, such as a potential client or partner. Each company can be linked to one or more contacts.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The company uuid

Body

application/json
name
string

The name of the company (max 255 chars).

isActive
boolean

Whether the company is active.

description
string

The company description (max 5000 characters).

billingAddress
string

The billing address (max 5000 characters).

currency
string

The 3-letter currency code associated with the company. Will default to the workspace setting if not supplied.

facebookUrl
string

The Facebook URL (max 1024 characters).

linkedinUrl
string

The LinkedIn URL (max 1024 characters).

twitterUrl
string

The Twitter URL (max 1024 characters).

websiteUrl
string

The website URL (max 1024 characters).

numberOfEmployees
integer<int32>

The number of employees.

ownershipClass
enum<string>

The ownership class. Can be: "public" (Public), "private" (Private), "subsidiary" (Subsidiary), or "other" (Other).

Available options:
public,
private,
subsidiary,
other
phoneNumber
string

The phone number of the company.

revenue
number

The annual revenue of the company.

shippingAddress
string

The shipping address of the company (max 5000 characters).

tickerSymbol
string

The stock ticker symbol of the company (max 10 characters).

yearFounded
integer<int32>

The year the company was founded.

companySpendTierId
string

The company spend tier ID (uuid) of the company spend tier associated with this company.

companyTypeId
string

The company type ID (uuid) of the company type associated with this company.

industryId
string

The industry ID (uuid) of the industry associated with this company.

ownerId
string

The member ID (uuid) of the owner of this company.

practiceId
string

The practice ID (uuid) of the practice associated with this company.

sicCodeId
string

The SIC code ID (uuid) of the SIC code associated with this company.

timeZoneId
string

The time zone ID (uuid) of the time zone associated with this company.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the company (max 255 chars).

isActive
boolean

Whether the company is active.

description
string | null

The company description (max 5000 characters).

billingAddress
string | null

The billing address (max 5000 characters).

currency
string

The 3-letter currency code associated with the company. Will default to the workspace setting if not supplied.

facebookUrl
string | null

The Facebook URL (max 1024 characters).

linkedinUrl
string | null

The LinkedIn URL (max 1024 characters).

twitterUrl
string | null

The Twitter URL (max 1024 characters).

websiteUrl
string | null

The website URL (max 1024 characters).

numberOfEmployees
integer<int32> | null

The number of employees.

ownershipClass
enum<string> | null

The ownership class. Can be: "public" (Public), "private" (Private), "subsidiary" (Subsidiary), or "other" (Other).

Available options:
public,
private,
subsidiary,
other,
null
phoneNumber
string | null

The phone number of the company.

revenue
number | null

The annual revenue of the company.

shippingAddress
string | null

The shipping address of the company (max 5000 characters).

tickerSymbol
string | null

The stock ticker symbol of the company (max 10 characters).

yearFounded
integer<int32> | null

The year the company was founded.

createdAt
string<date-time>

The timestamp when the object was created.

modifiedAt
string<date-time>

The date and time the record was last modified (ISO 8601).

companySpendTier
object

The company spend tier associated with this company.

companyType
object

The company type associated with this company.

practice
object

The practice associated with this company.

industry
object

The industry associated with this company.

owner
object

The workspace member who owns this company.

sicCode
object

The Standard Industrial Classification (SIC) code associated with this company.

salesforceId
string | null

The Salesforce record ID for this company, if synced via Salesforce integration.

hubspotId
string | null

The HubSpot record ID for this company, if synced via HubSpot integration.